Практический семинар Tekla Structures 2017

Вспомогательная геометрия Tekla Structures

Ответить
pdimav
Сообщения: 243
Регистрация: 16 янв 2012, 19:07

Вспомогательная геометрия Tekla Structures

Сообщение pdimav » 13 ноя 2015, 11:05

Добрый день.
Господа, у кого-нибудь есть плагин/макрос который создает вспомогательные точки на пересечении указанной детали и плоскости (плоскость задавать плоскостью/указанием плоскости на грани детали, а не точками)?
Буду очень благодарен, даже о задании направления где искать:)
Спасибо.
pdimav1979(не собака)yandex.ru

pdimav
Сообщения: 243
Регистрация: 16 янв 2012, 19:07

Re: Вспомогательная геометрия

Сообщение pdimav » 16 ноя 2015, 09:45

Кто знает, как через API (20.0) создать точку (вспомогательная геометрия) в пространстве?
pdimav1979(не собака)yandex.ru

Аватара пользователя
CuPo>I<a
Сообщения: 846
Регистрация: 26 дек 2011, 12:41
Откуда: Златоуст
Контактная информация:

Re: Вспомогательная геометрия

Сообщение CuPo>I<a » 16 ноя 2015, 09:53

В 20-ой никак. В 21-ой добавили

pdimav
Сообщения: 243
Регистрация: 16 янв 2012, 19:07

Re: Вспомогательная геометрия

Сообщение pdimav » 16 ноя 2015, 10:01

..ужас.
Казалось бы "добавить точку". И это в 20-ой версии...
Думал, может кто то нашел ее ... в какой-нибудь библиотеки ... кроме Tekla.Structures.Model
pdimav1979(не собака)yandex.ru

Аватара пользователя
Danila_ZLT
Сообщения: 599
Регистрация: 02 окт 2012, 12:14
Откуда: Златоуст
Контактная информация:

Re: Вспомогательная геометрия

Сообщение Danila_ZLT » 16 ноя 2015, 10:08

pdimav писал(а):..ужас.
Казалось бы "добавить точку". И это в 20-ой версии...
Думал, может кто то нашел ее ... в какой-нибудь библиотеки ... кроме Tekla.Structures.Model
.Net объект "ТОЧКА" появился только в 21 версии. Без объекта нет способа взаимодествия с "точкой", только добавить новую точку через макрос.
Автоматизируем хаос... Недорого...
http://www.zzmk.ru

pdimav
Сообщения: 243
Регистрация: 16 янв 2012, 19:07

Re: Вспомогательная геометрия

Сообщение pdimav » 16 ноя 2015, 10:20

Danila_ZLT писал(а):
pdimav писал(а):..ужас.
Казалось бы "добавить точку". И это в 20-ой версии...
Думал, может кто то нашел ее ... в какой-нибудь библиотеки ... кроме Tekla.Structures.Model
.Net объект "ТОЧКА" появился только в 21 версии. Без объекта нет способа взаимодествия с "точкой", только добавить новую точку через макрос.
а как через макрос?
Мне с ней взаимодействовать не нужно.
Нужно (на пересечении плоскости и линии) поставить и забыть.
Подскажешь?
pdimav1979(не собака)yandex.ru

Аватара пользователя
Danila_ZLT
Сообщения: 599
Регистрация: 02 окт 2012, 12:14
Откуда: Златоуст
Контактная информация:

Re: Вспомогательная геометрия

Сообщение Danila_ZLT » 16 ноя 2015, 10:22

С 21 версией не хотите связываться? В 21.1 много чего интересного появилось!!!
з.ы. правда говорять - торзозит не по детцццки
Автоматизируем хаос... Недорого...
http://www.zzmk.ru

Аватара пользователя
Danila_ZLT
Сообщения: 599
Регистрация: 02 окт 2012, 12:14
Откуда: Златоуст
Контактная информация:

Re: Вспомогательная геометрия

Сообщение Danila_ZLT » 16 ноя 2015, 10:27

pdimav писал(а):
Danila_ZLT писал(а): а как через макрос?
Мне с ней взаимодействовать не нужно.
Нужно (на пересечении плоскости и линии) поставить и забыть.
Подскажешь?
УУпс.. Наврал. Никак макросом не ставится :( . Рисуйте линию длинной 0.
Автоматизируем хаос... Недорого...
http://www.zzmk.ru

pdimav
Сообщения: 243
Регистрация: 16 янв 2012, 19:07

Re: Вспомогательная геометрия

Сообщение pdimav » 16 ноя 2015, 10:36

Danila_ZLT писал(а):С 21 версией не хотите связываться? В 21.1 много чего интересного появилось!!!
з.ы. правда говорять - торзозит не по детцццки
Хотелось бы ковырять "новое"..., но у нас лицензия на 20.0.
pdimav1979(не собака)yandex.ru

Аватара пользователя
100k
Сообщения: 172
Регистрация: 12 фев 2014, 11:04

Re: Вспомогательная геометрия

Сообщение 100k » 16 ноя 2015, 12:30

Неужто на точке свет клином сошелся, нарисуйте балки (материал нулевая плотность, стадию какнить 112339)
Сам алгоритм прост, для балок постоянного сечения. Получаете
Solid beamSolid = beam.GetSolid();
Рассекаете солид по середине, плоскостью перпендикулярной оси Х балки.
ArrayList sectionPoint = solid.Intersect(p1, p2, p3);
Получаете коллекцию точек сечения балки. Потом создаете коллекцию Line из этих точек и вектора оси Х балки.
CoordinateSystem cs = beam.GetCoordinateSystem();
Line line = new Line(pt, cs.AxisX);
И наконец находите точки пересечения этих линий и геометрической плоскости.
Point pointOnPlane = Intersection.LineToPlane(line, geomPlane);

Ответить
phpbb3 styles

Вернуться в «3D моделирование в Tekla Structures»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость